
#!/bin/bash
set -e

if [ $# -ne 2 ]; then
    echo "Usage ./install build_folder install_folder"
    exit 1
fi

if [ ! -d "$1" ]; then
    echo "Build folder $1 does not exist."
    exit 1
fi 

if [ -d "$2" ]; then
    echo "Install folder $2 already exists."
    exit 1
fi 

BUILD_FOLDER="$1"
INSTALL_FOLDER="$2"

cd $BUILD_FOLDER
make install

if [ ! -d "$INSTALL_FOLDER/lib/python2.7/site-packages/hysop" ]; then
    echo "$INSTALL_FOLDER/lib/python2.7/site-packages/hysop was not created."
    exit 1
fi

export PYTHONPATH="$INSTALL_FOLDER/lib/python2.7/site-packages"
python -c 'import hysop; print hysop'

exit 0
